Skip to navigation

Reveal Contact — Phone

View as Markdown

POST /sourcing-session/contact/reveal

Reveals the phone number of a candidate.

Same endpoint as Reveal Contact — Email; only the revealType query param differs.

Headers

KeyValue
x-fj-api-keyfjk_

Query Parameters

NameTypeRequiredDescription
sourcingSessionIdstringyesSession id.
linkedin_profile_urlstringyesCandidate’s LinkedIn URL.
revealTypestringyesMust be PHONE.

Response (200)

{
"statusCode": 200,
"data": [
{ "type": "EMAIL", "values": [], "status": null },
{ "type": "PHONE", "values": ["+91XXXXXXXXXX"], "status": "FOUND" }
],
"message": "Phone revealed successfully",
"status": "SUCCESS"
}

cURL

Replace fjk_YOUR_API_KEY_HERE, , and (URL-encode the LinkedIn URL), then paste and run:

curl -X POST "https://prod.api.futurejobs.ai/api/v1/wl/sourcing-session/contact/reveal?sourcingSessionId=<SESSION_ID>&linkedin_profile_url=<LINKEDIN_URL>&revealType=PHONE" \
-H "x-fj-api-key: fjk_YOUR_API_KEY_HERE"

Errors

  • 401 Unauthorized

  • 402 Payment Required — insufficient credits.

  • 404 Not Found — profile not found or no phone available for this LinkedIn URL.

Authentication

x-fj-api-keystring
API Key authentication via header

Query parameters

sourcingSessionIdstringOptional
linkedin_profile_urlstringOptional
revealTypestringOptional

Response headers

X-Powered-BystringOptional
X-Request-IdstringOptional
Access-Control-Allow-CredentialsstringOptional
RateLimit-PolicystringOptional
RateLimit-LimitstringOptional
RateLimit-RemainingstringOptional
RateLimit-ResetstringOptional
ETagstringOptional

Response

OK
statusCodeinteger
datalist of objects
messagestring
statusstring